package com.wechat.global;

import com.wechat.global.message.InfoMsg;

/**
 * 自定义异常
 * @author tangwc
 *
 */
public class CustomException extends RuntimeException  {

	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;
	private String code;
	private String message;
	public CustomException(InfoMsg msg) {
		super(msg.getMsg());
		this.setCode(msg.getCode());
		this.setMessage(msg.getMsg());
	}
	public String getCode() {
		return code;
	}
	public void setCode(String code) {
		this.code = code;
	}
	public String getMessage() {
		return message;
	}
	public void setMessage(String message) {
		this.message = message;
	}

}
